Subject: [Fot] FW: Triumph GT6 front springs and shocks

From: "Barr, Scott" <[email-masked]>
Date: Fri, 18 Jan 2013 17:30:56 +0000

Dad seems to be having some trouble posting to the list at the moment.  Here's
what he wanted to ask:

"I am rebuilding the front shocks and springs on my #59 Red 68 GT6 What are
you GT6 guys using?"

Editor's Note:  Dad's rebuilding the suspension on his GT6 racer, last revised
in 2002.  He's got in hand a set of Carrera shocks (adjustable ride-height
fronts and regular rears) which are worn out and has investigated the
replacement of just the shock component.  It appears that's fairly expensive.
He's also got a set of Spax shocks, again ride-height adjustable in front.
But the Carrera springs may not work with the Spax spring seat.

Anyway, he's looking for opinions on what's out there now for GT6s.

Scott B.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive